Apache Tomcat 6.0.53

## org.apache.tomcat.util.net
Class AprEndpoint.SocketProcessor

    java.lang.Object
      org.apache.tomcat.util.net.AprEndpoint.SocketProcessor

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  AprEndpoint

    protected class AprEndpoint.SocketProcessor

extends java.lang.Object
implements java.lang.Runnable

This class is the equivalent of the Worker, but will simply use in an external Executor thread pool.

Field Summary
`protected long` | `socket`

Constructor Summary
`AprEndpoint.SocketProcessor(long socket)`

Method Summary
`void` | `run()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### socket

    protected long socket

Constructor Detail

### AprEndpoint.SocketProcessor

    public AprEndpoint.SocketProcessor(long socket)

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

Apache Tomcat 6.0.53

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.